CREATE TABLE cmr_po_sched_accrual_clr_dtls (
    CMR_PO_LINE_LOCATION_ID    NUMBER(18, 0) ,
    BUSINESS_UNIT_ID           NUMBER(18, 0)     NOT NULL,
    ACCRUAL_CLR_GROUP_ID       NUMBER(18, 0) ,
    ACCRUAL_CLEARING_STATUS    VARCHAR2(100) ,
    ACCRUAL_CLR_RULE_NAME      VARCHAR2(100) ,
    ACTIVE_FLAG                VARCHAR2(4)       NOT NULL,
    ACCRUAL_CLEARED_DATE       TIMESTAMP(6)  ,
    ACCRUAL_PROCESSED_FLAG     VARCHAR2(4)       NOT NULL,
    DELIVERY_PROCESSED_FLAG    VARCHAR2(4)       NOT NULL,
    ACCRUAL_CLEARING_AMOUNT    NUMBER        ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    CMR_PO_LINE_LOCATION_ID    NUMBER(18, 0) ,
    BUSINESS_UNIT_ID           NUMBER(18, 0)     NOT NULL,
    ACCRUAL_CLEARING_STATUS    VARCHAR2(100) ,
    ACCRUAL_CLR_RULE_NAME      VARCHAR2(100) ,
    ACTIVE_FLAG                VARCHAR2(4)       NOT NULL,
    ACCRUAL_CLEARED_DATE       TIMESTAMP(6)  ,
    ACCRUAL_PROCESSED_FLAG     VARCHAR2(4)       NOT NULL,
    DELIVERY_PROCESSED_FLAG    VARCHAR2(4)       NOT NULL,
    ACCRUAL_CLEARING_AMOUNT    NUMBER        ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    ACCRUAL_CLR_GROUP_ID       NUMBER(18, 0) ,
    CONSTRAINT pk_cmr_po_sched_accrual_clr_dtls PRIMARY KEY (CMR_PO_LINE_LOCATION_ID, ACCRUAL_CLEARED_DATE, CMR_PO_LINE_LOCATION_ID, ACCRUAL_CLEARED_DATE)
);
